Package ghidra.graph.viewer.edge

# Class VisualGraphEdgeSatelliteRenderer<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.visualization.renderers.BasicEdgeRenderer<V,E>
ghidra.graph.viewer.edge.VisualEdgeRenderer<V,E>
ghidra.graph.viewer.edge.VisualGraphEdgeSatelliteRenderer<V,E>

Type Parameters:
  `V` - the vertex type
  `E` - the edge type

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.renderers.Renderer.Edge<V,E>`

public class VisualGraphEdgeSatelliteRenderer<V extends VisualVertex,E extends VisualEdge<V>> extends VisualEdgeRenderer<V,E>
A renderer designed to override default edge rendering to NOT paint emphasizing effects. We do this because space is limited in the satellite and because this rendering can take excess processing time.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface edu.uci.ics.jung.visualization.renderers.Renderer.Edge

  `edu.uci.ics.jung.visualization.renderers.Renderer.Edge.NOOP`

- ## Field Summary

  ### Fields inherited from class edu.uci.ics.jung.visualization.renderers.BasicEdgeRenderer

  `edgeArrowRenderingSupport`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualGraphEdgeSatelliteRenderer(VisualEdgeRenderer<V,E> delegate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Shape`
  `getEdgeShape(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, edu.uci.ics.jung.graph.Graph<V,E> graph, E e, float x1, float y1, float x2, float y2, boolean isLoop, Shape vertexShape)`
  Returns the edge shape for the given points
  `protected Shape`
  `getVertexShapeForArrow(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, edu.uci.ics.jung.algorithms.layout.Layout<V,E> layout, V v)`
  `protected boolean`
  `isEmphasiszed(E e)`
  `protected boolean`
  `isInFocusedVertexPath(E e)`
  `protected boolean`
  `isInHoveredVertexPath(E e)`
  `protected boolean`
  `isSelected(E e)`

  ### Methods inherited from class ghidra.graph.viewer.edge.VisualEdgeRenderer

  `drawSimpleEdge, getCompactShape, getDrawColor, getFocusedColor, getFullShape, getHoveredColor, getSelectedColor, setDashingPatternOffset, setDrawColorTransformer, setFocusedColorTransformer, setHoveredColorTransformer, setSelectedColorTransformer, transformFromLayoutToView`

  ### Methods inherited from class edu.uci.ics.jung.visualization.renderers.BasicEdgeRenderer

  `getEdgeArrowRenderingSupport, paintEdge, prepareFinalEdgeShape, setEdgeArrowRenderingSupport`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VisualGraphEdgeSatelliteRenderer

    public VisualGraphEdgeSatelliteRenderer(VisualEdgeRenderer<V,E> delegate)

- ## Method Details

  - ### isInHoveredVertexPath

    protected boolean isInHoveredVertexPath(E e)
    Overrides:
      `isInHoveredVertexPath` in class `VisualEdgeRenderer<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### isInFocusedVertexPath

    protected boolean isInFocusedVertexPath(E e)
    Overrides:
      `isInFocusedVertexPath` in class `VisualEdgeRenderer<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### isSelected

    protected boolean isSelected(E e)
    Overrides:
      `isSelected` in class `VisualEdgeRenderer<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### isEmphasiszed

    protected boolean isEmphasiszed(E e)
    Overrides:
      `isEmphasiszed` in class `VisualEdgeRenderer<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### getEdgeShape

    public Shape getEdgeShape(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, edu.uci.ics.jung.graph.Graph<V,E> graph, E e, float x1, float y1, float x2, float y2, boolean isLoop, Shape vertexShape)
    Description copied from class: `VisualEdgeRenderer`
    Returns the edge shape for the given points
    Specified by:
      `getEdgeShape` in class `VisualEdgeRenderer<V extends VisualVertex,E extends VisualEdge<V>>`
    Parameters:
      `rc` - the render context for the graph
      `graph` - the graph
      `e` - the edge to shape
      `x1` - the start vertex point x; layout space
      `y1` - the start vertex point y; layout space
      `x2` - the end vertex point x; layout space
      `y2` - the end vertex point y; layout space
      `isLoop` - true if the start == end, which is a self-loop
      `vertexShape` - the vertex shape (used in the case of a loop to draw a circle from the shape to itself)
    Returns:
      the edge shape

  - ### getVertexShapeForArrow

    protected Shape getVertexShapeForArrow(edu.uci.ics.jung.visualization.RenderContext<V,E> rc, edu.uci.ics.jung.algorithms.layout.Layout<V,E> layout, V v)
    Overrides:
      `getVertexShapeForArrow` in class `VisualEdgeRenderer<V extends VisualVertex,E extends VisualEdge<V>>`